{
    attributes = (
        {
            columnName = "CBUD_KEY"; 
            externalType = NUMBER; 
            name = cbudKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "FANN_KEY"; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FDOM_CODE"; 
            externalType = VARCHAR2; 
            name = fdomCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = llStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 150; 
        }
    ); 
    attributesUsedForLocking = (cbudKey, cStructure, fannKey, fdomCode, llStructure); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolConstanteBudget"; 
    classProperties = (
        llStructure, 
        "toFwkpers_Structure", 
        "toFwkScolarite_ScolFormationAnnee", 
        "toFwkScolarite_ScolFormationDomaine"
    ); 
    externalName = "SCOLARITE.SCOL_CONSTANTE_BUDGET"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.client.metier.eos.EOScolConstanteBudget"; 
    }; 
    name = "FwkScolarite_ScolConstanteBudget"; 
    primaryKeyAttributes = (cbudKey); 
    relationships = (
        {
            destination = "Fwkpers_Structure"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = "toFwkpers_Structure"; 
        }, 
        {
            destination = "FwkScolarite_ScolFormationAnnee"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = "toFwkScolarite_ScolFormationAnnee"; 
        }, 
        {
            destination = "FwkScolarite_ScolFormationDomaine"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdomCode; sourceAttribute = fdomCode; }); 
            name = "toFwkScolarite_ScolFormationDomaine"; 
        }
    ); 
}
